Public Member Functions | List of all members
clan::BrowseFolderDialog Class Reference

Displays the system folder browsing dialog. More...

`#include <folder_browse_dialog.h>`

## Public Member Functions
| BrowseFolderDialog (View *owner)
| Constructs an browse folder dialog. More...
std::string | get_selected_path () const
| Get the full path of the directory selected. More...
void | set_initial_directory (const std::string &path)
| Sets the initial directory that is displayed. More...
void | set_title (const std::string &title)
| Sets the text that appears in the title bar. More...
bool | show ()
| Shows the file dialog. More...

## Detailed Description

Displays the system folder browsing dialog.

## Constructor & Destructor Documentation

clan::BrowseFolderDialog::BrowseFolderDialog | ( | View * | owner | ) |

Constructs an browse folder dialog.

## Member Function Documentation

std::string clan::BrowseFolderDialog::get_selected_path | ( |  | ) | const

Get the full path of the directory selected.

void clan::BrowseFolderDialog::set_initial_directory | ( | const std::string & | path | ) |

Sets the initial directory that is displayed.

void clan::BrowseFolderDialog::set_title | ( | const std::string & | title | ) |

Sets the text that appears in the title bar.

bool clan::BrowseFolderDialog::show | ( |  | ) |

Shows the file dialog.

Returns
  true if the user clicks the OK button of the dialog that is displayed, false otherwise.

The documentation for this class was generated from the following file:

- folder_browse_dialog.h